
.print off

STMDSP  = $A00C
FUNDSPTABLE = $A052
OPTAB   = $A080
RESLST  = $A09E
ERRTAB  = $A19E
FNDFOR  = $A38A
BLTU    = $A3B8
GETSTK  = $A3FB
REASON  = $A408
OMERR   = $A435
ERROR   = $A437
READY   = $A474
MAIN    = $A480
MAIN1   = $A49C
LINKPRG = $A533
INLIN   = $A560
CRUNCH  = $A579
FNDLIN  = $A613
SCRTCH  = $A642
CLEAR   = $A65E
RUNC    = $A68E
LIST    = $A69C
QPLOP   = $A717
FOR     = $A742
NEWSTT  = $A7AE
GONE    = $A7E4
RESTOR_ = $A81D
STOP    = $A82F
END     = $A831
CONT    = $A857
RUN     = $A871
GOSUB   = $A883
GOTO    = $A8A0
RETURN  = $A8D2
DATA    = $A8F8
DATAN   = $A906
IF      = $A928
REM     = $A93B
ONGOTO  = $A94B
LINGET  = $A96B
LET     = $A9A5
PRINTN  = $AA80
CMD     = $AA86
PRINT   = $AAA0
STROUT  = $AB1E
DOAGAIN = $ABA5
GET     = $AB7B
INPUTN  = $ABA5
INPUT   = $ABBF
READ    = $AC06
EXIFNT  = $ACFC
NEXT    = $AD1D
FRMNUM  = $AD8A
FRMEVL  = $AD9E
EVAL    = $AE83
PIVAL   = $AEA8
PARCHK  = $AEF1
CHKCLS  = $AEF7
CHKOPN  = $AEFA
CHKCOM  = $AEFD
SNERR   = $AF08
ISVAR   = $AF2B
ISFUN   = $AFA7
OROP    = $AFE6
ANDOP   = $AFE9
DORE1   = $B016
DIM     = $B081
PTRGET  = $B08B
NOTFNS  = $B11D
FINPTR  = $B185
ARYGET  = $B194
N32768  = $B1A5
INTIDX  = $B1B2
AYINT   = $B1BF
ISARY   = $B1D1
BSERR   = $B245
FCERR   = $B248
UMULT   = $B34C
FRE     = $B37D
GIVAYF  = $B391
POS     = $B39E
ERRDIR  = $B3A6
DEF     = $B3B3
GETFNM  = $B3E1
FBDOER  = $B3F4
STRD    = $B465
STRLIT  = $B487
GETSPA  = $B4F4
GARBAG  = $B536
CAT     = $B63D
MOVINS  = $B67A
FRESTR  = $B6A3
FRETMS  = $B6DB
CHRD    = $B6EC
LEFTD   = $B700
RIGHTD  = $B72C
MIDD    = $B737
PREAM   = $B761
LEN     = $B77C
ASC     = $B78B
GETBYTC = $B79B
VAL     = $B7AD
GETNUM  = $B7EB
GETADR  = $B7F7
PEEK    = $B80D
POKE    = $B824
FUWAIT  = $B82D
FADDH   = $B849
FSUB    = $B850
FSUBT   = $B853
FADD    = $B867
FADDT   = $B86A
FADD4   = $B8A7
NORMAL  = $B8FE
NEGFAC  = $B947
OVERR   = $B97E
MULSHF  = $B983
FONE    = $B9BC
LOGCN2  = $B9C1
LOG     = $B9EA
FMULT   = $BA28
FMULT1  = $BA33
MLTPLY  = $BA59
CONUPK  = $BA8C
MULDIV  = $BAB7
MLDVEX  = $BAD4
MUL10   = $BAE2
TENC    = $BA79
DIV10   = $BAFE
FDIV    = $BB0F
FDIVT   = $BB12
MOVFM   = $BBA2
MOV2F   = $BBC7
MOVFA   = $BBFC
MOVAF   = $BC0C
MOVEF   = $BC0F
ROUND   = $BC1B
SIGN    = $BC2B
SGN     = $BC39
ABS     = $BC58
FCOMP   = $BC5B
QINT    = $BC9B
INT     = $BCCC
FIN     = $BCF3
FINLOG  = $BD7E
N0999   = $BDC0
LINPRT  = $BDCD
FOUT    = $BDDD
FHALF   = $BF11
FOUTBL  = $BF1C
FDCEND  = $BF3A
SQR     = $BF71
FPWRT   = $BF7B
NEGOP   = $BFB4
EXPCON  = $BFBF
EXP     = $BFED


KEYD    = $0277
;
;   BASIC TOKENS
;
END_TOK     = $80                       ;   TOKEN FOR END
FOR_TOK     = $81                       ;   TOKEN FOR FOR
NEXT_TOK    = $82                       ;   TOKEN FOR NEXT
DATA_TOK    = $83                       ;   TOKEN FOR DATA
INPUTN_TOK  = $84                       ;   TOKEN FOR INPUT#
INPUT_TOK   = $85                       ;   TOKEN FOR INPUT
DIM_TOK     = $86                       ;   TOKEN FOR DIM
READ_TOK    = $87                       ;   TOKEN FOR READ
LET_TOK     = $88                       ;   TOKEN FOR LET
GOTO_TOK    = $89                       ;   TOKEN FOR GOTO
RUN_TOK     = $8A                       ;   TOKEN FOR RUN
IF_TOK      = $8B                       ;   TOKEN FOR IF
RESTORE_TOK = $8C                       ;   TOKEN FOR RESTORE
GOSUB_TOK   = $8D                       ;   TOKEN FOR GOSUB
RETURN_TOK  = $8E                       ;   TOKEN FOR RETURN
REM_TOK     = $8F                       ;   TOKEN FOR REM
STOP_TOK    = $90                       ;   TOKEN FOR STOP
ON_TOK      = $91                       ;   TOKEN FOR ON
WAIT_TOK    = $92                       ;   TOKEN FOR WAIT
LOAD_TOK    = $93                       ;   TOKEN FOR LOAD
SAVE_TOK    = $94                       ;   TOKEN FOR SAVE
VERIFY_TOK  = $95                       ;   TOKEN FOR VERIFY
DEF_TOK     = $96                       ;   TOKEN FOR DEF
PRINTN_TOK  = $98                       ;   TOKEN FOR PRINTN
PRINT_TOK   = $99                       ;   TOKEN FOR PRINT
CONT_TOK    = $9A                       ;   TOKEN FOR CONT
LIST_TOK    = $9B                       ;   TOKEN FOR LIST
CLR_TOK     = $9C                       ;   TOKEN FOR CLR
CMD_TOK     = $9D                       ;   TOKEN FOR CMD
SYS_TOK     = $9E                       ;   TOKEN FOR SYS
OPEN_TOK    = $9F                       ;   TOKEN FOR OPEN
CLOSE_TOK   = $A0                       ;   TOKEN FOR CLOSE
GET_TOK     = $A1                       ;   TOKEN FOR GET
NEW_TOK     = $A2                       ;   TOKEN FOR NEW
TAB_TOK     = $A3                       ;   TOKEN FOR TAB(
TO_TOK      = $A4                       ;   TOKEN FOR TO
FN_TOK      = $A5                       ;   TOKEN FOR FN
SPC_TOK     = $A6                       ;   TOKEN FOR SPC(
THEN_TOK    = $A7                       ;   TOKEN FOR THEN
NOT_TOK     = $A8                       ;   TOKEN FOR NOT
STEP_TOK    = $A9                       ;   TOKEN FOR STEP
PLUS_TOK    = $AA                       ;   TOKEN FOR PLUS
MINUS_TOK   = $AB                       ;   TOKEN FOR MINUS
TIMES_TOK   = $AC                       ;   TOKEN FOR TIMES
DIVIDE_TOK  = $AD                       ;   TOKEN FOR DIVIDE
POW_TOK     = $AE                       ;   TOKEN FOR POW
AND_TOK     = $AF                       ;   TOKEN FOR AND
OR_TOK      = $B0                       ;   TOKEN FOR OR
GREATER_TOK = $B1                       ;   TOKEN FOR GREATER
EQUALS_TOK  = $B2                       ;   TOKEN FOR EQUALS
LESS_TOK    = $B3                       ;   TOKEN FOR LESS
SGN_TOK     = $B4                       ;   TOKEN FOR SGN
INT_TOK     = $B5                       ;   TOKEN FOR INT
ABS_TOK     = $B6                       ;   TOKEN FOR ABS
USR_TOK     = $B7                       ;   TOKEN FOR USR
FRE_TOK     = $B8                       ;   TOKEN FOR FRE
POS_TOK     = $B9                       ;   TOKEN FOR POS
SQR_TOK     = $BA                       ;   TOKEN FOR SQR
RND_TOK     = $BB                       ;   TOKEN FOR RND
LOG_TOK     = $BC                       ;   TOKEN FOR LOG
EXP_TOK     = $BD                       ;   TOKEN FOR EXP
COS_TOK     = $BE                       ;   TOKEN FOR COS
SIN_TOK     = $BF                       ;   TOKEN FOR SIN
TAN_TOK     = $C0                       ;   TOKEN FOR TAN
ATN_TOK     = $C1                       ;   TOKEN FOR ATN
PEEK_TOK    = $C2                       ;   TOKEN FOR PEEK
LEN_TOK     = $C3                       ;   TOKEN FOR LEN
STR_TOK     = $C4                       ;   TOKEN FOR STR
VAL_TOK     = $C5                       ;   TOKEN FOR VAL
ASC_TOK     = $C6                       ;   TOKEN FOR ASC
CHR_TOK     = $C7                       ;   TOKEN FOR CHR
LEFT_TOK    = $C8                       ;   TOKEN FOR LEFT
RIGHT_TOK   = $C9                       ;   TOKEN FOR RIGHT
MID_TOK     = $CA                       ;   TOKEN FOR MID
GO_TOK      = $CB                       ;   TOKEN FOR GO
PI_TOK      = $FF                       ;   TOKEN FOR PI

SPACE       = $20                       ;   SPACE
QUOTE       = $22                       ;   QUOTE

;
;   OFFSETS FROM BASIC LINE POINTER
;
NXOFF   = $00                           ;   OFFSET NEXT ADDRESS
LNOFF   = $02                           ;   OFFSET LINE NUMBER
TXTOFF  = $04                           ;   OFFSET TEXT

;
;   ERROR NUMBERS
;
TOOMANYFILES            = 1
FILEOPEN                = 2
FILENOTOPEN             = 3
FILENOTFOUND            = 4
DEVICENOTPRESENT        = 5
NOTINPUTFILE            = 6
NOTOUTPUTFILE           = 7
MISSINGFILENAME         = 8
ILLEGALDEVICENUMBER     = 9
NEXTWITHOUTFOR          = 10
SYNTAX                  = 11
RETURNWITHOUTGOSUB      = 12
OUTOFDATA               = 13
ILLEGALQUANITY          = 14
OVERFLOW                = 15
OUTOFMEMORY             = 16
UNDEFINEDSTATEMENT      = 17
BADSUBSCRIPT            = 18
REDIMARRAY              = 19
DIVISIONBYZERO          = 20
ILLEGALDIRECT           = 21
TYPEMISMATCH            = 22
STRINGTOOLONG           = 23
FILEDATA                = 24
FORMULATOOCOMPLEX       = 25
CANTCONTINUE            = 26
UNDEFINEDFUNCTION       = 27
MSGVERIFY               = 28
MSGLOAD                 = 29

.print on
